/*
** TIMESTAMP.C
**
** Version de la libreria
**
**
** (c) 1.997-99 Jesus Cea Avion
** jcea@argo.es
** http://www.argo.es/~jcea/
** http://www.argo.es/~jcea/artic/radius02.htm
**
** Lea las condiciones de uso y distribucion
** en el fichero "COPYING".
**
**
** 20/Abr/99 Primera version
*/

#include <stdlib.h>
#include <stdio.h>
#include <time.h>

int main(void) {
FILE *f;

  printf("Generando el \"TimeStamp\" de la libreria sobre \"version2.c\"...\n");
  f=fopen("version2.c","w");
  if(f==NULL) {
    perror("");
    exit(-1);
  }
  fprintf(f,
    "/*\n"
    "** VERSION2.C\n"
    "**\n"
    "** Timestamp de la libreria\n"
    "**\n"
    "**\n"
    "** (c) 1.997-99 Jesus Cea Avion\n"
    "** jcea@argo.es\n"
    "** http://www.argo.es/~jcea/\n"
    "** http://www.argo.es/~jcea/artic/radius02.htm\n"
    "**\n"
    "** Lea las condiciones de uso y distribucion\n"
    "** en el fichero \"COPYING\".\n"
    "**\n"
    "**\n"
    "** FICHERO GENERADO DE FORMA AUTOMATICA\n"
    "**         NO MODIFICAR\n"
    "*/\n"
    "\n"
    "#include \"version.h\"\n"
    "\n"
    "const time_t libreria_timestamp(void)\n"
    "{\n"
    "  return %luUL;\n"
    "}\n",(unsigned long)time(NULL));

  fclose(f); 
  return 0;
}

