/*
** USERSTATS.C
**
** Este programa lista, para cada usuario que ha
** accedido, su login, el numero de veces que ha
** conectado, el tiempo de conexion total en
** segundos y el trafico de entrada, salida y total.
**
**
** (c) 1.997-99 Jesus Cea Avion
** jcea@argo.es
** http://www.argo.es/~jcea/
** http://www.argo.es/~jcea/artic/radius02.htm
**
** Lea las condiciones de uso y distribucion
** en el fichero "COPYING".
**
**
** 08/Ene/99 Version 1.0
**           Primera version de este modulo.
*/

#include <stdio.h>
#include <stdlib.h>
#include "config.h"
#include "version.h"


int main(int argc,char *argv[],char *env[])
{
log_estado estado;
registro_log reg;
int cont;
char sesion_id[CAMPO_LONG];

  printf("%s",version_txt());

  sesion_id[0]='\0';
  activa_clipping_mensual(argc-1,argv+1);
  for(cont=0;accounting[cont].path!=NULL;cont++)
  {
    accounting[cont].log->abre_log(accounting[cont].path,"");
    while(!0)
    {
      estado=accounting[cont].log->lee_registro(&reg);
      if(estado!=LOG_OK) break;
      if((tiempo_inicial>reg.tiempo)||(tiempo_final<reg.tiempo-reg.duracion)) continue;
      if((reg.tipo!=STOP)||(!strcmp(sesion_id,reg.sesion_id))) continue;
      strcpy(sesion_id,reg.sesion_id);
      printf("%s %ld %ld %ld\n",
             reg.nombre,reg.duracion,reg.bytes_tx,reg.bytes_rx);
    }
    accounting[cont].log->cierra_log();
  }
  return 0;
}

