/*
** CONEX_CONF.C
**
** Configuracion para "conexiones".
** Fichero disponible a partir de la version 13 de "conexiones".
**
** Este fichero es un ejemplo de configuracion.
**
**
** (c) 1.997-99 Jesus Cea Avion
** jcea@argo.es
** http://www.argo.es/~jcea/
** http://www.argo.es/~jcea/artic/radius02.htm
**
** Lea las condiciones de uso y distribucion
** en el fichero "COPYING".
**
**
** 13/Oct/98 Version 1.0
**           Primera version de este fichero.
**
** 20/Oct/98 Segregacion de las rutinas de acceso
**           a la base de datos.
**
** 18/Nov/98 Los terminadores se cambian de "" por NULL.
**           Se puede asignar un usuario fijo a una
**           IP fija.
**
** 20/Nov/98 Anadidos los marcos horarios por defecto
**           a la hora de leer un fichero de log.
**
** 23/Nov/98 Suprimido lo anterior, ya que con las nuevas
**           rutinas el acceso es lo suficientemente rapido.
**           Ver MAIN.
**
** 01/Dic/98 Reconoce las llamadas de Infovia Plus y las identifica asi.
**
** 14/Dic/98 Movemos toda la configuracisn al modulo "config".
*/

#include <stdlib.h>
#include <stdio.h>
#include <time.h>
#include "config.h"
#include "conexiones.h"


int main(int argc,char *argv[],char *env[])
{
  activa_clipping_mensual(argc-2,argv+2);
  return main_conexiones(argc,argv,env);
}

